MUNPACK(1)

NAME
munpack - unpack messages in MIME or split-uuencode format

SYNOPSIS
munpack [ -f ] [ -q ] [ -t ] [ -C directory ] [ filename ... ]

DESCRIPTION
The munpack program reads each RFC-822 message filename and writes all non-text MIME parts or split-uuencoded files as files. If no filename argument is given, munpack reads from standard input.

If the message suggests a file name to use for the imbedded part, that name is cleaned of potential problem characters and used for the output file. If the suggested filename includes subdirectories, they will be created as necessary. If the message does not suggest a file name, the names "part1", "part2", etc are used in sequence.

If the imbedded part was preceded with textual information, that information is also written to a file. The file is named the same as the imbedded part, with any filename extension replaced with ".desc".

OPTIONS

-f  Force overwriting of existing files. If a message suggests a file name of an existing file, the file will be overwritten. Without this flag, munpack appends ".1", ".2", etc to find a nonexistent file.

-q  Be quiet. Supresses messages about saving partial messages and about messages with no interesting information.

-t  Also write the text MIME parts of multipart messages as files. By default, text parts that do not have a filename parameter do not get unpacked. This option effectively disables the ".desc" file feature for MIME messages.

-C directory
    Change the current directory to directory before reading any files. This is useful when invoking munpack from a mail or news reader.

DECODING MIME

To decode a MIME message, first save it to a text file. If possible, save it with all headers included. Munpack can decode some MIME files when the headers are missing or incomplete, other files it cannot decode without having the information in the headers. In general, messages which have a statement at the beginning that they are in MIME format can be decoded without the headers. Messages which have been split into multiple parts generally require all headers in order to be reassembled and decoded.

Some LAN-based mail systems and some mail providers (including America Online, as of the writing of this document) place the mail headers at the bottom of the message, instead of at the top of the message. If you are having problems decoding a MIME message on such a system, you need to convert the mail back into the standard format by removing the system's nonstandard headers and moving the standard Internet headers at the top of the message (separated from the message body with a blank line).

There must be exactly one message per file. Munpack cannot deal with multiple messages in a single file, to decode things correctly it must know when one message ends and the next one begins.

To decode a message, run the command:

    munpack file

where "file" is the name of the file containing the message. More than one filename may be specified, munpack will try to decode the message in each file. For more information on ways to run munpack, see the section "OPTIONS" above.

ENVIRONMENT

TMPDIR
    Directory to store temporary files. Default is /usr/tmp.

FILES

$TMPDIR/m-prts-$USER/
    Directory used to store partial messages awaiting reassembly.